{
    \"Version\": \"2012-10-17\",
    \"Statement\": [
        {
            \"Effect\": \"Allow\",
            \"Action\": [
                \"s3:ListAllMyBuckets\",
                \"s3:PutObject\",
                \"s3:PutObjectTagging\",
                \"s3:PutObjectVersionTagging\",
                \"s3:GetObject\",
                \"s3:GetObjectTagging\",
                \"s3:GetObjectVersion\",
                \"s3:GetObjectVersionTagging\",
                \"s3:ListBucket\"
            ],
            \"Resource\": [
                \"arn:aws:s3:::{{ bucket_name }}/*\"
            ]
        },
        {
            \"Sid\": \"Allow only requests that use Authorization header for request authentication. Deny POST or presigned URL requests.\",
            \"Effect\": \"Deny\",
            \"Action\": [
                \"s3:*\"
            ],
            \"Resource\": [
                \"arn:aws:s3:::*\"
            ],
            \"Condition\": {
                \"StringNotEquals\": {
                    \"s3:authType\": [
                        \"REST-HEADER\"
                    ]
                }
            }
        }
    ]
}
